> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/state/acs/force

> Takes a snapshot of the ACS at the current time.
The responses can be used as parameters to `/v0/state/acs` to retrieve the snapshot.
Disabled in production environments due to its persistent alteration of
the behavior of future invocations of `/v0/state/acs`, as it causes an
immediate internal snapshot and delay in the next automatic snapshot.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/state/acs/force
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/state/acs/force:
    post:
      tags:
        - external
        - scan
      summary: POST /v0/state/acs/force
      description: >
        Takes a snapshot of the ACS at the current time.

        The responses can be used as parameters to `/v0/state/acs` to retrieve
        the snapshot.

        Disabled in production environments due to its persistent alteration of

        the behavior of future invocations of `/v0/state/acs`, as it causes an

        immediate internal snapshot and delay in the next automatic snapshot.
      operationId: forceAcsSnapshotNow
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForceAcsSnapshotResponse'
        '400':
          $ref: '#/components/responses/400'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ForceAcsSnapshotResponse:
      type: object
      required:
        - record_time
        - migration_id
      properties:
        record_time:
          description: |
            The [recent] time for which this ACS snapshot was persisted.
          type: string
          format: date-time
        migration_id:
          description: The current migration ID of the Scan.
          type: integer
          format: int64
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````